import { IFileSchema } from '../types';
import { Env } from '../Simulator';
import { IHandlersConfig } from '../config';
import { Project } from '../models';
export declare class Renderer {
    private app;
    private isReady;
    private __callback__;
    private handlers;
    constructor(handlers?: IHandlersConfig);
    setGlobals(app: any, props: Record<string, any>): void;
    run(env: Env, project?: Project): void;
    draw(schema: IFileSchema): void;
    stop(): void;
}
